function [ Kl,Cl,Ml ] = elmt23( local_data )
% elmt23: 2-D three-node (triangular) element for Navier-Stokes flow  
% (Constant gradient triangle, etc.)
%
%Element subroutine to construct local element matrix from local data
%
%  local_data.mater = [elt# Density Viscosity Thickness prop4 prop5 ] For material type
%
%  local_data.coords = [ x1 x2 of node 1;
%                        x1 x2 of node 2;
%                        x1 x2 of node 3]
%
%  local_data.dofs   = [ dof1 dof2 dof3] Global dof referenced to local dofs
%
  Kl = zeros(9,9);
  Cl = zeros(9,9);
  Ml = zeros(9,9);
  D  = zeros(2,2);
  A  = zeros(2,3);
%
%  Constitutive matrix - Darcy's Law, Fick's Law, Four
%
  density      = ;
  viscosity    = ;
  thickness    = 1
  
%-------------------------------- Evaluate coefs and determinant for element area
    b = ;
    b21 = ;
    b31 = ;
    d2  = ;
%-------------------------------- Evaluate derivatives of shape functions
A = ;

%-------------------------------- Evaluate second order matrices 
    D = [ 1 0; 0 0 ];  secondorderinx = zeros(3,3); secondorderinx = A'*(D*A)*area*thickness
    D = [ 0 0; 0 1 ];  secondorderiny = zeros(3,3); secondorderiny = A'*(D*A)*area*thickness
    
%-------------------------------- Evaluate first order matrices 
    factor = ones(3,1)/3
    v = [ 1; 0 ];      firstorderinx = zeros(3,3);  firstorderinx = factor*(v'*A)*area*thickness
    v = [ 0; 1 ];      firstorderiny = zeros(3,3);  firstorderiny = factor*(v'*A)*area*thickness
    
%-------------------------------- Assemble local stiffness matrix [ vx1 vx2 vx3 vy1 vy2 vy3 p1 p2 p3 ]
    null = zeros(3,3)
    
    Kl = 
    
%-------------------------------- Reorder stiffness matrix for dof
% [vx1 vx2 vx3 vy1 vy2 vy3 p1 p2 p3] ==> [vx1 vy1 p1 vx2 vy2 p2 vx3 vy3 p3]

% ----- Reorder columns  
            tempcol = ;
            tempcol = ;
            tempcol = ;
% ----- Reorder rows
            temprow = ;
            temprow = ; 
            temprow = ;
            
%-------------------------------- Evalaute consistent mass (storage) matrix
%    Cl = (area*thickness/3) * [ 1 0 0; 0 1 0; 0 0 1];

         
         
